Email::Sender::Util(3)

NAME
Email::Sender::Util - random stuff that makes Email::Sender go

VERSION
version 1.300030

METHODS

  easy_transport
  my $transport = Email::Sender::Util->easy_transport($class => \%arg);

This takes the name of a transport class and a set of args to new. It returns an Email::Sender::Transport object of that class.

$class is rewritten to "Email::Sender::Transport::$class" unless it starts with an equals sign ("=") or contains a colon. The equals sign, if present, will be removed.

AUTHOR
Ricardo Signes <rjbs@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2016 by Ricardo Signes.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.